Subject: bug#58396: 29.0.50; Optimization failure for add-to-list

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 11 Oct 2022 20:27:42 +0200

Stefan Monnier <[email-masked]> writes:

> Because that's the sort of error you can get if you try to macro-expand
> code that's syntactically invalid.  E.g. try to compile a file with
>
>     (add-to-list x)
>
> and you should see a similar error.  For `elisp--local-variables`,
> syntactically invalid code is the normal case (more or less) both
> because it's used when we're in the middle of writing the code, and also
> because of how it works (it takes the code from beginning-of-defun up
> to point and throws away whatever follows, just adding enough closing
> parens that the resutling string is `read`able).

I see.

Shouldn't this function then be suppressing all errors while it's doing
this exploratory macro-expansion stuff?